# envdgen

**Environment config directories generator**

![Build Status](https://app.wercker.com/status/a0f597e9f976cc719bd7d6f6826f0d54/s/)

This simple tool generates `envdir` (daemontools) compatible environment directories from
sample `.env` files, like those used by Foreman.

## Installation

Install via rubygems:

    $ gem install envdgen

## Usage

Generate configuration directory from env file by running:

    $ envdgen /path/to/.env /path/to/env/dir

Running again the same command will not take any effect, as file are not overwritten.
To force writing files use `--force` flag:

    $ envdgen --force /path/to/.env /path/to/env/dir

## Hacking

If you wanna hack on the repo for some reason, first clone it, then run:

    $ bundle install

Now you should be able to run tests:

    $ rake

## Contributing

1. Work on your changes in a feature branch.
2. Make sure that tests are passing.
3. Send a pull request.
4. Wait for feedback.

## Copyrights

Copyright (c) by Kris Kovalik <hi@kkvlk.me>

Released under MIT License. Check [LICENSE.txt](LICENSE.txt) for details.
