# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'envdgen/version'

Gem::Specification.new do |spec|
  spec.name          = "envdgen"
  spec.version       = Envdgen::VERSION
  spec.authors       = ["Kris Kovalik"]
  spec.email         = ["hi@kkvlk.me"]
  spec.description   = %q{Gem provides a binary to generate envdir compatible env directories from .env foreman files."}
  spec.summary       = %q{Env directories generator}
  spec.homepage      = "https://github.com/kkvlk/envdgen"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rspec", "~> 2.5"
  spec.add_development_dependency "rake"
  spec.add_dependency "methadone", "~> 1.3.2"
  spec.add_dependency "dotenv", "~> 0.10.0"
end
